First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 8405
Alias:
Product:
Component:
Status: RESOLVED
Resolution: DUPLICATE of bug 9838
Assigned To: Gentoo Linux Gnome Desktop Team <gnome@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Rigo <rigo@MED1A.nl>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
evolution-1.1.1.tar.gz evolution-1.1.1.tar.gz application/gzip Rigo 2002-09-26 04:02 0000 3.85 KB Details
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 8405 depends on: Show dependency tree
Bug 8405 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2002-09-26 04:01 0000
--- evolution-1.0.8-r1.ebuild   2002-09-26 09:30:26.000000000 +0200
+++ evolution-1.1.1.ebuild      2002-09-26 10:07:34.000000000 +0200
@@ -10,7 +10,7 @@
 S=${WORKDIR}/${P}
 DESCRIPTION="A GNOME groupware application, a Microsoft Outlook workalike"
 SRC_URI="ftp://ftp.gnome.org/pub/GNOME/stable/sources/${PN}/${P}.tar.gz
-       ftp://ftp.ximian.com/pub/source/${PN}/${P}.tar.gz
+       ftp://ftp.ximian.com/pub/source/${PN}-beta/${P}.tar.gz
        http://people.codefactory.se/~micke/${PN}/${P}.tar.gz
        http://www.sleepycat.com/update/3.1.17/${DB3}.tar.gz"
 HOMEPAGE="http://www.ximian.com"
@@ -21,10 +21,10 @@
 RDEPEND="app-text/scrollkeeper
        >=gnome-extra/bonobo-conf-0.14
        >=gnome-base/bonobo-1.0.18
-       >=gnome-extra/gal-0.19.2
+       >=gnome-extra/gal-0.20
        =gnome-base/gconf-1.0*
-       >=gnome-extra/gtkhtml-1.0.2-r2
-       >=gnome-base/oaf-0.6.7
+       >=gnome-extra/gtkhtml-1.1.2
+       >=gnome-base/oaf-0.6.10
        >=gnome-base/ORBit-0.5.12
        ( >=gnome-base/libglade-0.17-r1
          <gnome-base/libglade-2.0 )
@@ -32,6 +32,7 @@
        >=dev-libs/libxml-1.8.16
        =gnome-base/gnome-vfs-1.0*
        >=gnome-base/gnome-print-0.34
+       >=net-libs/soup-0.7.4
        >=dev-util/gob-1.0.12
        doc?     ( >=app-text/scrollkeeper-0.3.10-r1 )
        ssl?     ( >=net-www/mozilla-0.9.9 )
@@ -57,17 +58,17 @@
        # code.  I added the fixes for the edit code.
        #
        # Martin Schlemmer (02 April 2002)
-       patch -p0 < ${FILESDIR}/evolution-1.0.3-filter-crash.patch || die
+       #patch -p0 < ${FILESDIR}/evolution-1.0.3-filter-crash.patch || die
        # add mandrake patches
        # fix KDE detection
-       patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.2-kde.patch || die
+       #patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.2-kde.patch || die
        # call pilot conduit applet (not pilot link applet)
-       patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.2-conduit.patch || die
+       #patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.2-conduit.patch || die
        # Patch from Preston A. Elder to resolve bug #1355
        # fix a problem with literal strings and sertain IMAP servers
-       patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.2-imapfix.diff || die
+       #patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.2-imapfix.diff || die
        # Use DTD compliant scrollkeeper file (from Mandrake/CVS)
-       patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.8-scrollkeeper.patch || die
+       #patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.8-scrollkeeper.patch || die

        # lobtoolize to fix not all libs installing, and buggy .la files.
        # also add the gnome-pilot.m4 to the macros directory to fix

Am compiling just yet, so haven't had time to test just yet...riri Included:

evolution-1.1.1.ebuild
soup-0.7.4.ebuild
gal-0.20.ebuild
gtkhtml-1.1.2.ebuild

Enjoy ;-) Rigo

------- Comment #1 From Rigo 2002-09-26 04:02:07 0000 -------
Created an attachment (id=4200) [details]
evolution-1.1.1.tar.gz

------- Comment #2 From Rigo 2002-09-26 05:12:58 0000 -------
Don't wast your CPU-cycles just yet...It segfaults for me on converting my
proile..Gonna test some more and put the results overhere....


Rigo

------- Comment #3 From christian gut 2002-09-26 07:03:55 0000 -------
would be nice to get it asap since it incluedes great improvements

------- Comment #4 From Rigo 2002-09-26 09:28:50 0000 -------
Well, so far I see it segfaulting while loading all

/usr/share/evolution/default_user/local/Trash/folder-metadata.xml

files; when I remove them it seems to go ok (Splash-screen loads until the end,
but segfaults again (this time it cannot find shortcuts.xml (it exists in my
current profile I've put aside, but using this is a nono :'-(

Currently I cannot find shortcuts.xml in the source-tree, resulting tree, CVS or
anywhere except my current profile...

Anybody any ideas ?


Rigo

------- Comment #5 From foser (RETIRED) 2002-10-29 06:05:08 0000 -------

*** This bug has been marked as a duplicate of 9838 ***

First Last Prev Next    No search results available      Search page      Enter new bug